// PDRCore
"The emulator does not support %@ function, please use the iPhone to test"="The emulator does not support %@ function, please use the iPhone to test";
"%@ module is not added when packaging, please refer to %@"="%@ module is not added when packaging, please refer to %@";
"Ignore"="Ignore";
"Details"="Details";
"%@ module is not added in manifest.json, please refer to %@"="%@ module is not added in manifest.json, please refer to %@";
"OK"="OK";
"Cancel"="Cancel";


"File monitoring created successfully"="File monitoring created successfully";
"Monitoring file descriptor--%d"="Monitoring file descriptor--%d";
"uploader successfully uploaded using standard protocol[%@]"="uploader successfully uploaded using standard protocol[%@]";

"When show is called, the page is not downloaded, and it is buffering now...[%@]"="When show is called, the page is not downloaded, and it is buffering now...[%@]";
"ValidAppkey"="Appkey is not configured or configured incorrectly";
//pdrcore
"There is no uni applet (%@) application resource in the running path, please check whether the application resource is deployed normally"="There is no uni applet (%@) application resource in the running path, please check whether the application resource is deployed normally";
"The current uni applet (%@) is not compiled in v3 mode and cannot be started normally"="The current uni applet (%@) is not compiled in v3 mode and cannot be started normally";
"Repeat call"="Repeat call";
"uni applet (%@) does not exist"="uni applet (%@) does not exist";
"There is a running applet, please close it before running other applets"="There is a running applet, please close it before running other applets";
"sendUniMPEvent Error: Parameter error"="sendUniMPEvent Error: Parameter error";
"sendUniMPEvent Error: Applet does not start"="sendUniMPEvent Error: Applet does not start";
"The compressed picture is saved locally successfully"="The compressed picture is saved locally successfully";
"Failed to download file [%@] error:%@"="Failed to download file [%@] error:%@";
"The network has changed ==>>>>>[%d]"="The network has changed ==>>>>>[%d]";
"No network scheduling is suspended"="No network scheduling is suspended";
"The network resumes and continues to download-->>>>"="The network resumes and continues to download-->>>>";

"Please refer to the url address"="Please refer to the url address";
"The current environment cannot run uni-app applications!"="The current environment cannot run uni-app applications!";
"This application is compiled with HBuilderX%@ or the corresponding cli version, while the mobile phone SDK version is %@. Mismatched versions may cause application exceptions."="This application is compiled with HBuilderX%@ or the corresponding cli version, while the mobile phone SDK version is %@. Mismatched versions may cause application exceptions.";

"Network connection failed"="Network connection failed";
"The manifest does not exist or the parsing failed"="The manifest does not exist or the parsing failed";
"file does not exist"="file does not exist";
"PandoraApi.bundle file is missing"="PandoraApi.bundle file is missing";

"##CoreApp##...Start restarting the app"="##CoreApp##...Start restarting the app";
"##CoreApp##...Restart the application end"="##CoreApp##...Restart the application end";
"##CoreApp##...Enable debug mode monitoring.."="##CoreApp##...Enable debug mode monitoring..";
"##CoreApp##...Create a homepage..."="##CoreApp##...Create a homepage...";
"The file directory has changed"="The file directory has changed";
"Need to refresh"="Need to refresh";
"splash screen needs to be closed automatically"="splash screen needs to be closed automatically";
"##--Display the wap2app startup page"="##--Display the wap2app startup page";
"Start wap2app application application status appid[%@]-"="Start wap2app application application status appid[%@]-";
"Streaming application status index[%d]--fullpage[%d]---update[%d]"="Streaming application status index[%d]--fullpage[%d]---update[%d]";
"Apply updates to reload resources"="Apply updates to reload resources";
"The app has been updated. Do you want to restart it now?"="The app has been updated. Do you want to restart it now?";
"Reboot"="Reboot";
"The page is not downloaded, the page needs to be downloaded: [%@]"="The page is not downloaded, the page needs to be downloaded: [%@]";
"Re-request page: [%@]"="Re-request page: [%@]";
"Page download is complete and start to load the page: [%@]"="Page download is complete and start to load the page: [%@]";
"Manifest.JSON parsing failed, please make sure the format is correct and cannot contain comments"="Manifest.JSON parsing failed, please make sure the format is correct and cannot contain comments";
"##CoreApp##...Need to restart the app"="##CoreApp##...Need to restart the app";
"##CoreApp##...Apply end successfully"="##CoreApp##...Apply end successfully";
"HTML5+ Runtime lacks the module configured in the upgrade package manifest.json: %@"="HTML5+ Runtime lacks the module configured in the upgrade package manifest.json: %@";

"The installation package was not found in the specified location"="The installation package was not found in the specified location";
"WGT/WGTU file format error"="WGT/WGTU文件格式错误";
"The manifest.json file in the WGT installation package does not exist"="The manifest.json file in the WGT installation package does not exist";
"The manifest.json in the WGT installation package is not a valid JSON format"="The manifest.json in the WGT installation package is not a valid JSON format";
"The appid of the manifest.json file in the WGT installation package does not match"="The appid of the manifest.json file in the WGT installation package does not match";
"The version of the manifest.json file in the WGT installation package is higher than the existing version number"="The version of the manifest.json file in the WGT installation package is higher than the existing version number";
"The update.xml file in the WGTU installation package does not exist"="The update.xml file in the WGTU installation package does not exist";
"The update.xml in the WGTU installation package is not a valid XML format"="The update.xml in the WGTU installation package is not a valid XML format";
"The appid of the update.xml file in the WGTU installation package does not match"="The appid of the update.xml file in the WGTU installation package does not match";
"The version of the update.xml file in the WGTU installation package is higher than the existing version number"="The version of the update.xml file in the WGTU installation package is higher than the existing version number";
"Manifest.json does not exist in the www directory in the WGTU installation package"="Manifest.json does not exist in the www directory in the WGTU installation package";
"The format of the manifest.json file in the www directory in the WGTU installation package is incorrect"="The format of the manifest.json file in the www directory in the WGTU installation package is incorrect";
"The appid of the manifest.json file in the www directory in the WGTU installation package does not match"="The appid of the manifest.json file in the www directory in the WGTU installation package does not match";
"The version of the manifest.json file in the www directory in the WGTU installation package does not match"="The version of the manifest.json file in the www directory in the WGTU installation package does not match";
"Uni-app compilation mode switching does not support upgrading application resources"="Uni-app compilation mode switching does not support upgrading application resources";

"Appframe needs to be refreshed--%@--[%@]--"="Appframe needs to be refreshed--%@--[%@]--";
"Refresh all interfaces"="Refresh all interfaces";

//广告
"Unknown Error"="Unknown Error";
"UniAdError5001"="Ad slot id adpid is empty, please enter a valid adpid";
"UniAdError5002"="Invalid ad slot ID adpid, please use the correct adpid";
"UniAdError5003"="Advertising has not been activated, please apply on the advertising platform and ensure that it has been approved";
"UniAdError5004"="No ad module, please configure the ad module to be used when packaging";
"UniAdError5005"="Ads failed to load, Please try again later";
"UniAdError5006"="The ad cannot be played after it is not loaded, please call show after loading";
"UniAdError5007"="Unable to get ad configuration data, try again";
"UniAdError5008"="The incentive video AD has expired. Please rerequest the AD for display!";
"UniAdError5009"="The current ad is being requested, please do not click repeatedly";
"UniAdError5100"="Other errors, aggregate advertiser internal errors";
"UniAdError5050"="There is no Kuaishou Content Alliance SDK in the current environment";
"UniAdError5051"="The ad loading is abnormal, please contact the business to solve it";


//地图
"Call Baidu map"="Call Baidu map";
"No Error"="No Error";
"Invalid signature"="Invalid signature";
"Illegal or expired key"="Illegal or expired key";
"No permission to use the corresponding interface"="No permission to use the corresponding interface";
"The number of visits exceeded the daily number of visits"="The number of visits exceeded the daily number of visits";
"Users visit too frequently"="Users visit too frequently";
"Invalid user IP"="Invalid user IP";
"Invalid user domain name"="Invalid user domain name";
"Security code verification error, bundleid does not correspond to key"="Security code verification error, bundleid does not correspond to key";
"The request key does not match the binding platform"="The request key does not match the binding platform";
"IP requests exceeded limit"="IP requests exceeded limit";
"The HTTPS request is not supported"="The HTTPS request is not supported";
"Insufficient permission, service request rejected"="Insufficient permission, service request rejected";
"The developer key has been deleted and cannot be used normally"="The developer key has been deleted and cannot be used normally";
"Request service response error"="Request service response error";
"Abnormal data returned by engine"="Abnormal data returned by engine";
"Server request link timeout"="Server request link timeout";
"Read service result timeout"="Read service result timeout";
"The requested parameter is illegal"="The requested parameter is illegal";
"Missing required parameter"="Missing required parameter";
"The requested agreement is illegal"="The requested agreement is illegal";
"The requested agreement is illegal"="Other server unknown error";
"Client unknown error, service return result is empty or other error"="Client unknown error, service return result is empty or other error";
"Protocol parsing error, usually the returned result cannot be parsed"="Protocol parsing error, usually the returned result cannot be parsed";
"connection timed out"="connection timed out";
"URL exception"="URL exception";
"host not found"="host not found";
"Server connection failed"="Server connection failed";
"Abnormal connection, usually without network"="Abnormal connection, usually without network";
"Connection cancelled"="Connection cancelled";
"The format of table ID is incorrect"="The format of table ID is incorrect";
"ID does not exist"="ID does not exist";
"The server is under maintenance"="The server is under maintenance";
"The table ID corresponding to the key does not exist"="The table ID corresponding to the key does not exist";
"No information was found for the corresponding userid"="No information was found for the corresponding userid";
"Key does not activate nearby-function"="Key does not activate nearby-function";
"Planning points (including starting point, terminal point and passing point) are not within the scope of China"="Planning points (including starting point, terminal point and passing point) are not within the scope of China";
"No roads can be found near planning points (including starting point, terminal point and passing point)"="No roads can be found near planning points (including starting point, terminal point and passing point)";
"Route calculation failure is usually caused by road connectivity"="Route calculation failure is usually caused by road connectivity";
"The distance between the starting point and the ending point is too long"="The distance between the starting point and the ending point is too long";
"Short string sharing authentication failed"="Short string sharing authentication failed";
"Short string request failed"="Short string request failed";

"Error message:%@. Visit [%@] for more information."="Error message:%@. Visit [%@] for more information.";
"Picture loading failed"="Picture loading failed";

//livepusher
"The network is in poor condition"="The network is in poor condition";
"The network condition is normal"="The network condition is normal";
"The network is in good condition"="The network is in good condition";
"Background music playing error"="Background music playing error";



//geolocation
"Unable to get location"="Unable to get location";
"Coordinate address resolution failed"="Coordinate address resolution failed";
"Location service is not turned on"="Location service is not turned on";
"Permission verification failed"="Permission verification failed";
"Unsupported provider"="Unsupported provider";
"Unsupported coordsType"="Unsupported coordsType";
"Unable to get location"="Unable to get location";
"The current application is running in the custom debugging base. Please do not check the custom debugging base when you package the official version."="The current application is running in the custom debugging base. Please do not check the custom debugging base when you package the official version.";
"Appid not configured"="Appid not configured";

//speech
"Turn on voice repeatedly"="Turn on voice repeatedly";
"Users turn off voice"="Users turn off voice";
"Network connection error"="Network connection error";
"Listening"="Listening";

//barcode
"The specified barcode was not found"="The specified barcode was not found";

//weex devtool
"search"="search";

//weex
"file does not exist"="file does not exist";
"This feature is not supported"="This feature is not supported";
"Invalid parameter"="Invalid parameter";
"IO error"="IO error";
"Client not installed"="Client not installed";
"Missing business parameter configuration"="Missing business parameter configuration";
"network error"="network error";
"User cancel"="User cancel";
"unknown error"="unknown erro";
"Business internal error"="Business internal error";
"File creation failed"="File creation failed";
"The file exists"="The file exists";
"Compression failed"="Compression failed";
"Decompression faile"="Decompression faile";
"Writing is not allowed"="Writing is not allowed";
"Not allowed to read"="Not allowed to read";
"The last call was not completed. Call again after completion"="The last call was not completed. Call again after completion";
"No permission"="No permission";
"Authorization failed"="Authorization failed";
"onCreateUniPlugin:method not found"="onCreateUniPlugin:method not found";
"This class (%@) does not comply with wxmoduleprotocol!"="This class (%@) does not comply with wxmoduleprotocol!";
"This class (%@) does not inherit the wxcomponent class"="This class (%@) does not inherit the wxcomponent class";
"This class (%@) does not inherit the DCUniComponent class"="This class (%@) does not inherit the DCUniComponent class";

"Not 'DataUrl' data"="Not 'DataUrl' data";
"Unsupported image data"="Unsupported image data";
"No image data"="No image data";
"Image data conversion failed"="Image data conversion failed";
"The specified bitmap object was not found"="The specified bitmap object was not found";

//push
"Offline push detected --[%@]"="Offline push detected --[%@]";
// pay
"Payment_appleiap:Payment channel closed"="Payment_appleiap:Payment channel closed";
"Payment_appleiap:Failed to return order information"="Payment_appleiap:Failed to return order information";
"Payment_appleiap:The ID of the order does not exist"="Payment_appleiap:The ID of the order does not exist";
"WeChat"="WeChat";
"The payment appid configured in HBuilder mainifest.json is inconsistent with the appid used to generate the order. If it is HB debugging, please package it online"="The payment appid configured in HBuilder mainifest.json is inconsistent with the appid used to generate the order. If it is HB debugging, please package it online";

//Oauth
"Sina Weibo"="Sina Weibo";
"Not logged in or logged out"="Not logged in or logged out";
"Client is not installed"="Client is not installed";
"The client you installed does not support authorized login"="The client you installed does not support authorized login";

//share
"Repeated verification request"="Repeated verification request";
"User canceled sharing"="User canceled sharing";
"User does not exist"="User does not exist";
"User canceled sending"="User canceled sending";
"Failed to send"="Failed to send";
"Authorization failed"="Authorization failed";
"User canceled installation of Weibo client"="User canceled installation of Weibo client";
"Editors need to install Weibo client"="Editors need to install Weibo client";
"Sending failed, user needs to install Weibo client"="Sending failed, user needs to install Weibo client";
"User clicks to cancel and return"="User clicks to cancel and return";
"WeChat does not support"="WeChat does not support";
"Invalid appid or incorrect configuration"="Invalid appid or incorrect configuration";
"WeChat is not installed"="WeChat is not installed";
"Thumbnail exceeds limit"="Thumbnail exceeds limit";
"Picture exceeds limit"="Picture exceeds limit";
"WeChat Share"="WeChat Share";
"QQ is not installed"="QQ is not installed";
"app not registered"="app not registered";
"qzone sharing does not support text type sharing"="qzone sharing does not support text type sharing";
"qzone sharing does not support image type sharing"="qzone sharing does not support image type sharing";
"QQ share"="QQ share";

//zip,io,
"The left or top parameter of the clip area is wrong"="The left or top parameter of the clip area is wrong";
"Failed to read picture information"="Failed to read picture information";
"Failed to download image"="Failed to download image";
"File not found"="File not found";
"Not authorized"="Not authorized";
"Not allowed to read"="Not allowed to read";
"Coding error"="Coding error";
"No modification allowed"="No modification allowe";
"Invalid state"="无效的状态";
"Grammatical errors"="Grammatical errors";
"Invalid edit"="Invalid edit";
"Execution error"="Execution error";
"Type does not match"="Type does not match";
"Path exists"="Path exists";
"Directory is not empty"="Directory is not empty";

//Media
"unauthorized"="unauthorized";
"Unauthorized, restricted access"="Unauthorized, restricted access";
"Parameter error"="Parameter error";

//Camera
"Error saving photo: %@"="Error saving photo: %@";
"Failed to save picture: %@"="Failed to save picture: %@";
"Error saving video: %@"="Error saving video: %@";
"This video type does not currently support export"="This video type does not currently support export";
"Video export failed"="Video export failed";
"Export task has been cancelled"="Export task has been cancelled";
"The current device does not support this preset: %@"="The current device does not support this preset: %@";
"The camera cannot be opened in the emulator, please use it in the real machine"="The camera cannot be opened in the emulator, please use it in the real machine";
"Locating failed, error: %@"="Locating failed, error: %@";
"No access: PHAuthorizationStatusRestricted"="No access: PHAuthorizationStatusRestricted";
"User has authorized this application for limited photo library access"="User has authorized this application for limited photo library access";
"Locating failed, error: %@"="Locating failed, error: %@";
"Video export failed: %@,error:%@"="Video export failed: %@,error:%@";
